Subject: Order fix
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Fri, 25 Aug 2006 17:22:18 -0400

Mike,
You might need to call me on this but I need pricing changed on order #209621.  I'll give you the totals but call me with any questions.  We gave this guy an additional $263.12 to reduce his shipping back to $5.95.  So here are the totals: Shipping = $5.95, Order Total = $1058.43, payment received = $1058.43.  I already credited the amount back to his card so I just need this part fixed.

Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]